Bug 249118 - net/cloud-init: Missing file: LOCALBASE/rc.d/cloudconfig
Summary: net/cloud-init: Missing file: LOCALBASE/rc.d/cloudconfig
Status: Open
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords: needs-qa
Depends on:
Blocks:
 
Reported: 2020-09-04 21:20 UTC by Emmanuel Thomé
Modified: 2021-07-06 05:23 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (andrey)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Emmanuel Thomé 2020-09-04 21:20:29 UTC
py37-cloud-init-20.2_1 here, on 12.1-RELEASE

The file /usr/local/etc/rc.d/cloudconfig seems to be missing.

Yet, cloudconfig is referenced from both /usr/local/etc/rc.d/cloudinit and /usr/local/etc/rc.d/cloudfinal

rcorder /etc/rc.d/* /usr/local/etc/rc.d/*
[...]
rcorder: requirement `cloudconfig' in file `/usr/local/etc/rc.d/cloudfinal' has no providers.
[...]

This seems to be caused by ports r476024 :

https://reviews.freebsd.org/rP476024

which moves the cloudconfig init script out of sight, before packaging. I suspect that this could be a bug.

The outcome for me is that the modules of the "config" step of cloud-init (e.g., runcmd, among others) are not run.

If I grab the upstream cloud-init-20.2/sysvinit/freebsd/ script and put it in rc.d/cloudconfig, things work as expected.
Comment 1 Andrey Fesenko 2020-09-05 16:18:24 UTC
Thanks for the post, strange copying, need to remove it from the Makefile

> @cd ${WRKSRC} && ${MV} sysvinit/freebsd/cloudconfig config/cloud.cfg

Soon I will test and update to 20.3 and fix it there.
Comment 2 Emmanuel Thomé 2020-09-16 08:41:05 UTC
(In reply to Andrey Fesenko from comment #1)

You might want to consider https://github.com/canonical/cloud-init/pull/567 which just got merged into cloud-init master, and is relevant to freebsd as well. (it's not in 20.3)
Comment 3 Andrey Fesenko 2021-07-05 21:04:19 UTC
This open long time, any actual for new releases?
Comment 4 Kubilay Kocak freebsd_committer freebsd_triage 2021-07-06 03:22:24 UTC
@Maintainer if this issue is still reproducible in the latest version of the port/package, it needs a QA'd change proposal (patch) and description of issue cause/resolution to progress.

Alternatively, please provide instructions on alternative resolution actions.
Comment 5 Andrey Fesenko 2021-07-06 05:23:05 UTC
(In reply to Kubilay Kocak from comment #4)
Sorry, maybe my English is bad.

Current release 21.2 has been committed, contains fixes to the original question and merged pull/567 comment #2

If I understand correctly, then this bug should be fixed now.